Groups

Create Group Announcement

POST
/groups/{groupId}/announcement

Creates an Announcement for a Group. Warning: This will also remove all announcements. To make proper announcements, use the posts endpoint instead

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/announcement" \  -H "Content-Type: application/json" \  -d '{    "title": "Event is starting soon!"  }'
{
  "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "createdAt": "2019-08-24T14:15:22Z",
  "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "id": "gpos_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
  "imageUrl": "string",
  "text": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}